package com.rjconsultores.ventaboletos.service;

import com.rjconsultores.ventaboletos.entidad.ConfComprovantePassagem;
import com.rjconsultores.ventaboletos.exception.BusinessException;

public interface ConfComprovantePassagemService {

	ConfComprovantePassagem suscribirActualizar(ConfComprovantePassagem conf) throws BusinessException;

	void apagar(ConfComprovantePassagem conf) throws BusinessException;

	public ConfComprovantePassagem buscarConfComprovantePassagemPorEmpresaId(Integer empresaID);
	
	public ConfComprovantePassagem buscarConfiguracao(Integer empresaID, String tipoIntegracao, String viaComprovante);

}
